<h1 style="
    text-align: center;
    font-size: 48px;
    font-weight: bold;
    margin-top: 100px;
  ">
    Character List
</h1>
<mat-card style="width: 50%; margin: auto;">
    <button (click)="post({first_name:characterInputFirstName.value, last_name:characterInputLastName.value, birth_date:characterInputBirthDate.value})" mat-fab color="white" style="float: right;">
    <mat-icon>add</mat-icon>
  </button>
    <mat-form-field style="width: 100%;">
        <mat-label>Enter character first name</mat-label>
        <input #characterInputFirstName matInput placeholder="Ex. Harry" />
    </mat-form-field>
    <mat-form-field style="width: 100%;">
        <mat-label>Enter character last name</mat-label>
        <input #characterInputLastName matInput placeholder="Ex. Potter" />
    </mat-form-field>
    <mat-form-field style="width: 100%;">
        <mat-label>Enter character birth date</mat-label>
        <input type="date" #characterInputBirthDate matInput placeholder="Ex. 01/01/2001" />
    </mat-form-field>

    <mat-list>
        <mat-list-item *ngFor="let character of characters$">
            <span style="font-weight: bold;">{{ character.id }}. {{ character.last_name }}{{ character.first_name }}{{ character.birth_date }}</span>
            <span style="position: absolute; right: 0;">
        <button mat-icon-button>
          <mat-icon (click)="delete(character.id)" color="warn">
            delete
          </mat-icon>
        </button>
      </span>
        </mat-list-item>
    </mat-list>
</mat-card>